import request from '@/utils/request'

// 获取个贷待办任务
export function getPersonalTodoList(params) {
    return request.get('workTaskRecord/personal/todo', { params: params })
}

// 获取个贷待办详情
export function getPersonalTodoDetail(params) {
    return request.get(`personal/${params}`)
}

// 获取个贷评估对象详情
export function getPersonalTargetDetail(params) {
    return request.get(`personalTarget/${params}`)
}

// 个贷新增订单
export function add(params) {
    return request.post(`personal`, params)
}

// 个贷我的订单
export function myOrder(params) {
    return request.get(`personal/mine`, { params: params })
}

// 个贷正在进行订单
export function pendingOrder(params) {
    return request.get(`personal`, { params: params })
}

// 个贷已完成任务列表
export function taskDoneList(params) {
    return request.get(`workTaskRecord/personal/done`, { params: params })
}