const fileUtil = {
    EncodeGetUrl(url) {
        let urlArr = url.split('?');
        let encodeUrl = urlArr[0];
    
        if (urlArr.length > 1) {
          encodeUrl += '?';
          let paramArr = urlArr[1].split('&');
          let encodeparamArr = [];
          paramArr.forEach((item, index) => {
            let key = item.split('=')[0];
            let value = item.split('=')[1];
            encodeparamArr.push(key + '=' + encodeURIComponent(value));
          });
    
          encodeUrl += encodeparamArr.join('&');
        }
    
        return encodeUrl;
      },
     
      download(url) {
        let downUrl = import.meta.env.VITE_BASE_URL + url;
        downUrl = this.EncodeGetUrl(downUrl);
        var a = document.createElement('a');
        a.href = downUrl;
        a.target = '_blank';
        a.click();
      },
}

export default fileUtil
