export function imagePasteHandler(e) {
    var clipboardData = e.clipboardData; // IE
    if (!clipboardData) {
        //chrome
        clipboardData = e.originalEvent.clipboardData;
    }
    var items = '';
    items = (e.clipboardData || window.clipboardData).items;
    let file = null;
    if (!items || items.length === 0) {
        return '当前浏览器不支持粘贴本地图片，请打开图片复制后再粘贴！';
    }
    // 搜索剪切板items
    for (let i = 0; i < items.length; i++) {
        // 限制上传文件类型
        if (items[i].type.indexOf('image') !== -1) {
            file = items[i].getAsFile();
            break;
        }
    }
    // 判断上传图片尺寸
    // TODO

    //判断是否超出上传数量
    // TODO

    return file;
}