import request from '@/utils/request'

// 获取资产待办任务
export function getAssetsTodoList(params) {
    return request.get('assets/selectPage', { params: params })
}

// 获取资产待办任务详情
export function getAssetsTodoDetail(params) {
    return request.get(`assets/getAssetsDetailById/${params}`)
}

// 资产业务订单新增
export function add(params) {
    return request.post(`assets/add`, params)
}

// 我的订单查询
export function myOrder(params) {
    return request.get(`assets/selectMyOrderPage`, { params: params })
}

// 资产列表查询
export function pendingOrder(params) {
    params.selectByDepartment = false;
    params.selectByAll = true;
    return request.get(`assets/selectPage`, { params: params })
}