import request from '@/utils/request'

// 获取大中型待办任务
export function getMajorTodoList(params) {
    return request.get('workTaskRecord/major/todo', { params: params })
}

// 获取大中型待办任务详情
export function getMajorTodoDetail(params) {
    return request.get(`major/${params}`)
}

// 大中型新增订单
export function add(params) {
    return request.post(`major`, params)
}

// 大中型我的订单
export function myOrder(params) {
    return request.get(`majorProduction/myOrder`, { params: params })
}

// 大中型正在进行订单
export function pendingOrder(params) {
    return request.get(`major/page`, { params: params })
}

// 大中型客户反馈
export function doFeedback(params) {
    return request.post(`major/priceFeedback`, params )
}