import { defineStore } from 'pinia'

export const tabStore = defineStore('tab', {
    state: () => ({
        tabInfo: null //存储激活页面信息
    }),
    actions: {
        setTabInfo(data) {
            this.tabInfo = data
        },
        removeTabInfo(){
            this.tabInfo = null;
        }
    },
    persist: {
        enabled: true,   //开启持久化
        key: 'tabInfo', //设置存储的key,详情见https://prazdevs.github.io/pinia-plugin-persistedstate/zh/guide/config.html配置文档
    },
});
